package com.tutego.insel.ui.event;

import javax.swing.*;
import java.awt.event.*;

class CloseWindowImplementsAll extends JFrame implements WindowListener
{
  // Implementiere WindowListener

  public void windowClosing( WindowEvent event )
  {
    System.exit( 0 );
  }

  public void windowClosed( WindowEvent event ) { /*Empty*/ }
  public void windowDeiconified( WindowEvent event ) { /*Empty*/ }
  public void windowIconified( WindowEvent event ) { /*Empty*/ }
  public void windowActivated( WindowEvent event ) { /*Empty*/ }
  public void windowDeactivated( WindowEvent event ) { /*Empty*/ }
  public void windowOpened( WindowEvent event ) { /*Empty*/ }

  //

  CloseWindowImplementsAll()
  {
    setSize( 400, 400 );
    addWindowListener( this );
    setVisible( true );
  }

  public static void main( String[] args )
  {
    new CloseWindowImplementsAll();
  }
}
